1# Makefile.in generated by automake 1.10 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# $Id: Makefile.am 22409 2008-01-12 05:53:37Z lha $
18
19# $Id: Makefile.am.common 10998 2002-05-19 18:35:37Z joda $
20
21# $Id: Makefile.am.common 22488 2008-01-21 11:47:22Z lha $
22
23
24
25VPATH = @srcdir@
26pkgdatadir = $(datadir)/@PACKAGE@
27pkglibdir = $(libdir)/@PACKAGE@
28pkgincludedir = $(includedir)/@PACKAGE@
29am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30install_sh_DATA = $(install_sh) -c -m 644
31install_sh_PROGRAM = $(install_sh) -c
32install_sh_SCRIPT = $(install_sh) -c
33INSTALL_HEADER = $(INSTALL_DATA)
34transform = $(program_transform_name)
35NORMAL_INSTALL = :
36PRE_INSTALL = :
37POST_INSTALL = :
38NORMAL_UNINSTALL = :
39PRE_UNINSTALL = :
40POST_UNINSTALL = :
41build_triplet = @build@
42host_triplet = @host@
43DIST_COMMON = $(am__dist_include_HEADERS_DIST) $(srcdir)/Makefile.am \
44	$(srcdir)/Makefile.in $(top_srcdir)/Makefile.am.common \
45	$(top_srcdir)/cf/Makefile.am.common ChangeLog chown.c \
46	closefrom.c copyhostent.c daemon.c ecalloc.c emalloc.c \
47	erealloc.c err.c errx.c estrdup.c fchown.c flock.c fnmatch.c \
48	freeaddrinfo.c freehostent.c gai_strerror.c getaddrinfo.c \
49	getcap.c getcwd.c getdtablesize.c getegid.c geteuid.c getgid.c \
50	gethostname.c getifaddrs.c getipnodebyaddr.c getipnodebyname.c \
51	getnameinfo.c getopt.c gettimeofday.c getuid.c getusershell.c \
52	glob.c hstrerror.c inet_aton.c inet_ntop.c inet_pton.c \
53	initgroups.c innetgr.c install-sh iruserok.c localtime_r.c \
54	lstat.c memmove.c missing mkinstalldirs mkstemp.c putenv.c \
55	rcmd.c readv.c recvmsg.c sendmsg.c setegid.c setenv.c \
56	seteuid.c strcasecmp.c strdup.c strerror.c strftime.c \
57	strlcat.c strlcpy.c strlwr.c strncasecmp.c strndup.c strnlen.c \
58	strptime.c strsep.c strsep_copy.c strtok_r.c strupr.c swab.c \
59	timegm.c unsetenv.c verr.c verrx.c vsyslog.c vwarn.c vwarnx.c \
60	warn.c warnx.c writev.c
61noinst_PROGRAMS = make-roken$(EXEEXT) snprintf-test$(EXEEXT) \
62	resolve-test$(EXEEXT)
63check_PROGRAMS = base64-test$(EXEEXT) getaddrinfo-test$(EXEEXT) \
64	hex-test$(EXEEXT) test-readenv$(EXEEXT) \
65	parse_bytes-test$(EXEEXT) parse_reply-test$(EXEEXT) \
66	parse_time-test$(EXEEXT) snprintf-test$(EXEEXT) \
67	strpftime-test$(EXEEXT)
68@have_socket_wrapper_TRUE@am__append_1 = socket_wrapper.c socket_wrapper.h
69@have_socket_wrapper_TRUE@am__append_2 = socket_wrapper.h
70subdir = lib/roken
71ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
72am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
73	$(top_srcdir)/cf/auth-modules.m4 $(top_srcdir)/cf/autobuild.m4 \
74	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
75	$(top_srcdir)/cf/broken-glob.m4 \
76	$(top_srcdir)/cf/broken-realloc.m4 \
77	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
78	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
79	$(top_srcdir)/cf/capabilities.m4 \
80	$(top_srcdir)/cf/check-compile-et.m4 \
81	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
82	$(top_srcdir)/cf/check-man.m4 \
83	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
84	$(top_srcdir)/cf/check-type-extra.m4 \
85	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
86	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
87	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
88	$(top_srcdir)/cf/dlopen.m4 \
89	$(top_srcdir)/cf/find-func-no-libs.m4 \
90	$(top_srcdir)/cf/find-func-no-libs2.m4 \
91	$(top_srcdir)/cf/find-func.m4 \
92	$(top_srcdir)/cf/find-if-not-broken.m4 \
93	$(top_srcdir)/cf/framework-security.m4 \
94	$(top_srcdir)/cf/have-struct-field.m4 \
95	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
96	$(top_srcdir)/cf/krb-bigendian.m4 \
97	$(top_srcdir)/cf/krb-func-getlogin.m4 \
98	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
99	$(top_srcdir)/cf/krb-readline.m4 \
100	$(top_srcdir)/cf/krb-struct-spwd.m4 \
101	$(top_srcdir)/cf/krb-struct-winsize.m4 \
102	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/mips-abi.m4 \
103	$(top_srcdir)/cf/misc.m4 $(top_srcdir)/cf/need-proto.m4 \
104	$(top_srcdir)/cf/osfc2.m4 $(top_srcdir)/cf/otp.m4 \
105	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
106	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
107	$(top_srcdir)/cf/roken-frag.m4 \
108	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
109	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
110	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
111	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
112	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.in
113am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
114	$(ACLOCAL_M4)
115mkinstalldirs = $(install_sh) -d
116CONFIG_HEADER = $(top_builddir)/include/config.h
117CONFIG_CLEAN_FILES =
118am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
119am__vpath_adj = case $$p in \
120    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
121    *) f=$$p;; \
122  esac;
123am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
124am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(man3dir)" \
125	"$(DESTDIR)$(includedir)" "$(DESTDIR)$(includedir)" \
126	"$(DESTDIR)$(rokenincludedir)"
127libLTLIBRARIES_INSTALL = $(INSTALL)
128LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
129libroken_la_DEPENDENCIES = @LTLIBOBJS@
130am__libroken_la_SOURCES_DIST = base64.c bswap.c concat.c dumpdata.c \
131	environment.c eread.c esetenv.c ewrite.c \
132	getaddrinfo_hostspec.c get_default_username.c \
133	get_window_size.c getarg.c getnameinfo_verified.c \
134	getprogname.c h_errno.c hex.c hostent_find_fqdn.c issuid.c \
135	k_getpwnam.c k_getpwuid.c mini_inetd.c net_read.c net_write.c \
136	parse_bytes.c parse_time.c parse_units.c realloc.c resolve.c \
137	roken_gethostby.c rtbl.c rtbl.h setprogname.c signal.c \
138	simple_exec.c snprintf.c socket.c strcollect.c strpool.c \
139	timeval.c tm2time.c unvis.c verify.c vis.c vis.h warnerr.c \
140	write_pid.c xdbm.h socket_wrapper.c socket_wrapper.h
141@have_socket_wrapper_TRUE@am__objects_1 =  \
142@have_socket_wrapper_TRUE@	libroken_la-socket_wrapper.lo
143am_libroken_la_OBJECTS = libroken_la-base64.lo libroken_la-bswap.lo \
144	libroken_la-concat.lo libroken_la-dumpdata.lo \
145	libroken_la-environment.lo libroken_la-eread.lo \
146	libroken_la-esetenv.lo libroken_la-ewrite.lo \
147	libroken_la-getaddrinfo_hostspec.lo \
148	libroken_la-get_default_username.lo \
149	libroken_la-get_window_size.lo libroken_la-getarg.lo \
150	libroken_la-getnameinfo_verified.lo libroken_la-getprogname.lo \
151	libroken_la-h_errno.lo libroken_la-hex.lo \
152	libroken_la-hostent_find_fqdn.lo libroken_la-issuid.lo \
153	libroken_la-k_getpwnam.lo libroken_la-k_getpwuid.lo \
154	libroken_la-mini_inetd.lo libroken_la-net_read.lo \
155	libroken_la-net_write.lo libroken_la-parse_bytes.lo \
156	libroken_la-parse_time.lo libroken_la-parse_units.lo \
157	libroken_la-realloc.lo libroken_la-resolve.lo \
158	libroken_la-roken_gethostby.lo libroken_la-rtbl.lo \
159	libroken_la-setprogname.lo libroken_la-signal.lo \
160	libroken_la-simple_exec.lo libroken_la-snprintf.lo \
161	libroken_la-socket.lo libroken_la-strcollect.lo \
162	libroken_la-strpool.lo libroken_la-timeval.lo \
163	libroken_la-tm2time.lo libroken_la-unvis.lo \
164	libroken_la-verify.lo libroken_la-vis.lo \
165	libroken_la-warnerr.lo libroken_la-write_pid.lo \
166	$(am__objects_1)
167libroken_la_OBJECTS = $(am_libroken_la_OBJECTS)
168libroken_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
169	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
170	$(libroken_la_LDFLAGS) $(LDFLAGS) -o $@
171libtest_la_LIBADD =
172am_libtest_la_OBJECTS = libtest_la-strftime.lo libtest_la-strptime.lo \
173	libtest_la-snprintf.lo
174libtest_la_OBJECTS = $(am_libtest_la_OBJECTS)
175libtest_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
176	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(libtest_la_CFLAGS) \
177	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
178PROGRAMS = $(noinst_PROGRAMS)
179base64_test_SOURCES = base64-test.c
180base64_test_OBJECTS = base64-test.$(OBJEXT)
181base64_test_LDADD = $(LDADD)
182am__DEPENDENCIES_1 =
183base64_test_DEPENDENCIES = libroken.la $(am__DEPENDENCIES_1)
184getaddrinfo_test_SOURCES = getaddrinfo-test.c
185getaddrinfo_test_OBJECTS = getaddrinfo-test.$(OBJEXT)
186getaddrinfo_test_LDADD = $(LDADD)
187getaddrinfo_test_DEPENDENCIES = libroken.la $(am__DEPENDENCIES_1)
188hex_test_SOURCES = hex-test.c
189hex_test_OBJECTS = hex-test.$(OBJEXT)
190hex_test_LDADD = $(LDADD)
191hex_test_DEPENDENCIES = libroken.la $(am__DEPENDENCIES_1)
192nodist_make_roken_OBJECTS = make-roken.$(OBJEXT)
193make_roken_OBJECTS = $(nodist_make_roken_OBJECTS)
194make_roken_DEPENDENCIES =
195parse_bytes_test_SOURCES = parse_bytes-test.c
196parse_bytes_test_OBJECTS = parse_bytes-test.$(OBJEXT)
197parse_bytes_test_LDADD = $(LDADD)
198parse_bytes_test_DEPENDENCIES = libroken.la $(am__DEPENDENCIES_1)
199am_parse_reply_test_OBJECTS =  \
200	parse_reply_test-parse_reply-test.$(OBJEXT) \
201	parse_reply_test-resolve.$(OBJEXT)
202parse_reply_test_OBJECTS = $(am_parse_reply_test_OBJECTS)
203parse_reply_test_LDADD = $(LDADD)
204parse_reply_test_DEPENDENCIES = libroken.la $(am__DEPENDENCIES_1)
205parse_reply_test_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
206	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(parse_reply_test_CFLAGS) \
207	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
208am_parse_time_test_OBJECTS = parse_time-test.$(OBJEXT) \
209	test-mem.$(OBJEXT)
210parse_time_test_OBJECTS = $(am_parse_time_test_OBJECTS)
211parse_time_test_LDADD = $(LDADD)
212parse_time_test_DEPENDENCIES = libroken.la $(am__DEPENDENCIES_1)
213am_resolve_test_OBJECTS = resolve-test.$(OBJEXT)
214resolve_test_OBJECTS = $(am_resolve_test_OBJECTS)
215resolve_test_LDADD = $(LDADD)
216resolve_test_DEPENDENCIES = libroken.la $(am__DEPENDENCIES_1)
217am_snprintf_test_OBJECTS = snprintf_test-snprintf-test.$(OBJEXT)
218snprintf_test_OBJECTS = $(am_snprintf_test_OBJECTS)
219am__DEPENDENCIES_2 = libroken.la $(am__DEPENDENCIES_1)
220snprintf_test_DEPENDENCIES = libtest.la $(am__DEPENDENCIES_2)
221snprintf_test_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
222	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(snprintf_test_CFLAGS) \
223	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
224am_strpftime_test_OBJECTS = strpftime_test-strpftime-test.$(OBJEXT)
225strpftime_test_OBJECTS = $(am_strpftime_test_OBJECTS)
226strpftime_test_DEPENDENCIES = libtest.la $(am__DEPENDENCIES_2)
227strpftime_test_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
228	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(strpftime_test_CFLAGS) \
229	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
230am_test_readenv_OBJECTS = test-readenv.$(OBJEXT) test-mem.$(OBJEXT)
231test_readenv_OBJECTS = $(am_test_readenv_OBJECTS)
232test_readenv_LDADD = $(LDADD)
233test_readenv_DEPENDENCIES = libroken.la $(am__DEPENDENCIES_1)
234DEFAULT_INCLUDES = -I. -I$(top_builddir)/include@am__isrc@
235depcomp =
236am__depfiles_maybe =
237COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
238	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
239LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
240	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
241	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
242CCLD = $(CC)
243LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
244	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
245	$(LDFLAGS) -o $@
246SOURCES = $(libroken_la_SOURCES) $(EXTRA_libroken_la_SOURCES) \
247	$(libtest_la_SOURCES) base64-test.c getaddrinfo-test.c \
248	hex-test.c $(nodist_make_roken_SOURCES) parse_bytes-test.c \
249	$(parse_reply_test_SOURCES) $(parse_time_test_SOURCES) \
250	$(resolve_test_SOURCES) $(snprintf_test_SOURCES) \
251	$(strpftime_test_SOURCES) $(test_readenv_SOURCES)
252DIST_SOURCES = $(am__libroken_la_SOURCES_DIST) \
253	$(EXTRA_libroken_la_SOURCES) $(libtest_la_SOURCES) \
254	base64-test.c getaddrinfo-test.c hex-test.c parse_bytes-test.c \
255	$(parse_reply_test_SOURCES) $(parse_time_test_SOURCES) \
256	$(resolve_test_SOURCES) $(snprintf_test_SOURCES) \
257	$(strpftime_test_SOURCES) $(test_readenv_SOURCES)
258man3dir = $(mandir)/man3
259MANS = $(man_MANS)
260am__dist_include_HEADERS_DIST = base64.h getarg.h hex.h parse_bytes.h \
261	parse_time.h parse_units.h resolve.h roken-common.h rtbl.h \
262	xdbm.h socket_wrapper.h
263dist_includeHEADERS_INSTALL = $(INSTALL_HEADER)
264nodist_includeHEADERS_INSTALL = $(INSTALL_HEADER)
265nodist_rokenincludeHEADERS_INSTALL = $(INSTALL_HEADER)
266HEADERS = $(dist_include_HEADERS) $(nodist_include_HEADERS) \
267	$(nodist_rokeninclude_HEADERS)
268ETAGS = etags
269CTAGS = ctags
270DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
271ACLOCAL = @ACLOCAL@
272AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
273AMTAR = @AMTAR@
274AR = @AR@
275AUTOCONF = @AUTOCONF@
276AUTOHEADER = @AUTOHEADER@
277AUTOMAKE = @AUTOMAKE@
278AWK = @AWK@
279CANONICAL_HOST = @CANONICAL_HOST@
280CATMAN = @CATMAN@
281CATMANEXT = @CATMANEXT@
282CC = @CC@
283CFLAGS = @CFLAGS@
284COMPILE_ET = @COMPILE_ET@
285CPP = @CPP@
286
287# XXX this is needed for the LIBOBJS objects
288CPPFLAGS = $(libroken_la_CPPFLAGS)
289CXX = @CXX@
290CXXCPP = @CXXCPP@
291CXXFLAGS = @CXXFLAGS@
292CYGPATH_W = @CYGPATH_W@
293DBLIB = @DBLIB@
294DEFS = @DEFS@
295DIR_com_err = @DIR_com_err@
296DIR_hcrypto = @DIR_hcrypto@
297DIR_hdbdir = @DIR_hdbdir@
298DIR_roken = @DIR_roken@
299ECHO = @ECHO@
300ECHO_C = @ECHO_C@
301ECHO_N = @ECHO_N@
302ECHO_T = @ECHO_T@
303EGREP = @EGREP@
304EXEEXT = @EXEEXT@
305F77 = @F77@
306FFLAGS = @FFLAGS@
307GREP = @GREP@
308GROFF = @GROFF@
309INCLUDES_roken = @INCLUDES_roken@
310INCLUDE_hcrypto = @INCLUDE_hcrypto@
311INCLUDE_hesiod = @INCLUDE_hesiod@
312INCLUDE_krb4 = @INCLUDE_krb4@
313INCLUDE_openldap = @INCLUDE_openldap@
314INCLUDE_readline = @INCLUDE_readline@
315INSTALL = @INSTALL@
316INSTALL_DATA = @INSTALL_DATA@
317INSTALL_PROGRAM = @INSTALL_PROGRAM@
318INSTALL_SCRIPT = @INSTALL_SCRIPT@
319INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
320LDFLAGS = @LDFLAGS@
321LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
322LEX = @LEX@
323LEXLIB = @LEXLIB@
324LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
325LIBADD_roken = @LIBADD_roken@
326LIBOBJS = @LIBOBJS@
327LIBS = @LIBS@
328LIBTOOL = @LIBTOOL@
329LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
330LIB_NDBM = @LIB_NDBM@
331LIB_XauFileName = @LIB_XauFileName@
332LIB_XauReadAuth = @LIB_XauReadAuth@
333LIB_XauWriteAuth = @LIB_XauWriteAuth@
334LIB_bswap16 = @LIB_bswap16@
335LIB_bswap32 = @LIB_bswap32@
336LIB_com_err = @LIB_com_err@
337LIB_com_err_a = @LIB_com_err_a@
338LIB_com_err_so = @LIB_com_err_so@
339LIB_crypt = @LIB_crypt@
340LIB_db_create = @LIB_db_create@
341LIB_dbm_firstkey = @LIB_dbm_firstkey@
342LIB_dbopen = @LIB_dbopen@
343LIB_dlopen = @LIB_dlopen@
344LIB_dn_expand = @LIB_dn_expand@
345LIB_door_create = @LIB_door_create@
346LIB_el_init = @LIB_el_init@
347LIB_freeaddrinfo = @LIB_freeaddrinfo@
348LIB_gai_strerror = @LIB_gai_strerror@
349LIB_getaddrinfo = @LIB_getaddrinfo@
350LIB_gethostbyname = @LIB_gethostbyname@
351LIB_gethostbyname2 = @LIB_gethostbyname2@
352LIB_getnameinfo = @LIB_getnameinfo@
353LIB_getpwnam_r = @LIB_getpwnam_r@
354LIB_getsockopt = @LIB_getsockopt@
355LIB_hcrypto = @LIB_hcrypto@
356LIB_hcrypto_a = @LIB_hcrypto_a@
357LIB_hcrypto_appl = @LIB_hcrypto_appl@
358LIB_hcrypto_so = @LIB_hcrypto_so@
359LIB_hesiod = @LIB_hesiod@
360LIB_hstrerror = @LIB_hstrerror@
361LIB_kdb = @LIB_kdb@
362LIB_krb4 = @LIB_krb4@
363LIB_loadquery = @LIB_loadquery@
364LIB_logout = @LIB_logout@
365LIB_logwtmp = @LIB_logwtmp@
366LIB_openldap = @LIB_openldap@
367LIB_openpty = @LIB_openpty@
368LIB_otp = @LIB_otp@
369LIB_pidfile = @LIB_pidfile@
370LIB_readline = @LIB_readline@
371LIB_res_ndestroy = @LIB_res_ndestroy@
372LIB_res_nsearch = @LIB_res_nsearch@
373LIB_res_search = @LIB_res_search@
374LIB_roken = @LIB_roken@
375LIB_security = @LIB_security@
376LIB_setsockopt = @LIB_setsockopt@
377LIB_socket = @LIB_socket@
378LIB_syslog = @LIB_syslog@
379LIB_tgetent = @LIB_tgetent@
380LN_S = @LN_S@
381LTLIBOBJS = @LTLIBOBJS@
382MAINT = @MAINT@
383MAKEINFO = @MAKEINFO@
384MKDIR_P = @MKDIR_P@
385NROFF = @NROFF@
386OBJEXT = @OBJEXT@
387PACKAGE = @PACKAGE@
388PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
389PACKAGE_NAME = @PACKAGE_NAME@
390PACKAGE_STRING = @PACKAGE_STRING@
391PACKAGE_TARNAME = @PACKAGE_TARNAME@
392PACKAGE_VERSION = @PACKAGE_VERSION@
393PATH_SEPARATOR = @PATH_SEPARATOR@
394PTHREADS_CFLAGS = @PTHREADS_CFLAGS@
395PTHREADS_LIBS = @PTHREADS_LIBS@
396RANLIB = @RANLIB@
397SET_MAKE = @SET_MAKE@
398SHELL = @SHELL@
399STRIP = @STRIP@
400VERSION = @VERSION@
401VERSIONING = @VERSIONING@
402VOID_RETSIGTYPE = @VOID_RETSIGTYPE@
403WFLAGS = @WFLAGS@
404WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
405WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
406XMKMF = @XMKMF@
407X_CFLAGS = @X_CFLAGS@
408X_EXTRA_LIBS = @X_EXTRA_LIBS@
409X_LIBS = @X_LIBS@
410X_PRE_LIBS = @X_PRE_LIBS@
411YACC = @YACC@
412YFLAGS = @YFLAGS@
413abs_builddir = @abs_builddir@
414abs_srcdir = @abs_srcdir@
415abs_top_builddir = @abs_top_builddir@
416abs_top_srcdir = @abs_top_srcdir@
417ac_ct_CC = @ac_ct_CC@
418ac_ct_CXX = @ac_ct_CXX@
419ac_ct_F77 = @ac_ct_F77@
420am__leading_dot = @am__leading_dot@
421am__tar = @am__tar@
422am__untar = @am__untar@
423bindir = @bindir@
424build = @build@
425build_alias = @build_alias@
426build_cpu = @build_cpu@
427build_os = @build_os@
428build_vendor = @build_vendor@
429builddir = @builddir@
430datadir = @datadir@
431datarootdir = @datarootdir@
432docdir = @docdir@
433dpagaix_cflags = @dpagaix_cflags@
434dpagaix_ldadd = @dpagaix_ldadd@
435dpagaix_ldflags = @dpagaix_ldflags@
436dvidir = @dvidir@
437exec_prefix = @exec_prefix@
438host = @host@
439host_alias = @host_alias@
440host_cpu = @host_cpu@
441host_os = @host_os@
442host_vendor = @host_vendor@
443htmldir = @htmldir@
444includedir = @includedir@
445infodir = @infodir@
446install_sh = @install_sh@
447libdir = @libdir@
448libexecdir = @libexecdir@
449localedir = @localedir@
450localstatedir = @localstatedir@
451mandir = @mandir@
452mkdir_p = @mkdir_p@
453oldincludedir = @oldincludedir@
454pdfdir = @pdfdir@
455prefix = @prefix@
456program_transform_name = @program_transform_name@
457psdir = @psdir@
458sbindir = @sbindir@
459sharedstatedir = @sharedstatedir@
460srcdir = @srcdir@
461sysconfdir = @sysconfdir@
462target_alias = @target_alias@
463top_builddir = @top_builddir@
464top_srcdir = @top_srcdir@
465SUFFIXES = .et .h .x .z .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .hin
466AM_CPPFLAGS = -I$(top_builddir)/include $(INCLUDES_roken)
467@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
468AM_CFLAGS = $(WFLAGS)
469CP = cp
470buildinclude = $(top_builddir)/include
471LIB_getattr = @LIB_getattr@
472LIB_getpwent_r = @LIB_getpwent_r@
473LIB_odm_initialize = @LIB_odm_initialize@
474LIB_setpcred = @LIB_setpcred@
475HESIODLIB = @HESIODLIB@
476HESIODINCLUDE = @HESIODINCLUDE@
477NROFF_MAN = groff -mandoc -Tascii
478LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
479@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
480@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
481
482@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
483@KRB5_TRUE@LIB_tsasl = $(top_builddir)/lib/tsasl/libtsasl.la
484@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
485ACLOCAL_AMFLAGS = -I ../../cf
486CLEANFILES = roken.h make-roken.c $(XHEADERS) err.h fnmatch.h glob.h \
487	ifaddrs.h vis.h
488lib_LTLIBRARIES = libroken.la
489libroken_la_LDFLAGS = -version-info 19:0:1
490libroken_la_CPPFLAGS = -DBUILD_ROKEN_LIB
491nodist_make_roken_SOURCES = make-roken.c
492TESTS = $(check_PROGRAMS)
493LDADD = libroken.la $(LIB_crypt)
494make_roken_LDADD = 
495noinst_LTLIBRARIES = libtest.la
496libtest_la_SOURCES = strftime.c strptime.c snprintf.c
497libtest_la_CFLAGS = -DTEST_SNPRINTF -DTEST_STRPFTIME
498parse_reply_test_SOURCES = parse_reply-test.c resolve.c
499parse_reply_test_CFLAGS = -DTEST_RESOLVE
500test_readenv_SOURCES = test-readenv.c test-mem.c
501parse_time_test_SOURCES = parse_time-test.c test-mem.c
502strpftime_test_SOURCES = strpftime-test.c strpftime-test.h
503strpftime_test_LDADD = libtest.la $(LDADD)
504strpftime_test_CFLAGS = -DTEST_STRPFTIME
505snprintf_test_SOURCES = snprintf-test.c snprintf-test.h
506snprintf_test_LDADD = libtest.la $(LDADD)
507snprintf_test_CFLAGS = -DTEST_SNPRINTF
508resolve_test_SOURCES = resolve-test.c
509libroken_la_SOURCES = base64.c bswap.c concat.c dumpdata.c \
510	environment.c eread.c esetenv.c ewrite.c \
511	getaddrinfo_hostspec.c get_default_username.c \
512	get_window_size.c getarg.c getnameinfo_verified.c \
513	getprogname.c h_errno.c hex.c hostent_find_fqdn.c issuid.c \
514	k_getpwnam.c k_getpwuid.c mini_inetd.c net_read.c net_write.c \
515	parse_bytes.c parse_time.c parse_units.c realloc.c resolve.c \
516	roken_gethostby.c rtbl.c rtbl.h setprogname.c signal.c \
517	simple_exec.c snprintf.c socket.c strcollect.c strpool.c \
518	timeval.c tm2time.c unvis.c verify.c vis.c vis.h warnerr.c \
519	write_pid.c xdbm.h $(am__append_1)
520EXTRA_libroken_la_SOURCES = \
521	err.hin			\
522	glob.hin		\
523	fnmatch.hin		\
524	ifaddrs.hin		\
525	vis.hin	
526
527libroken_la_LIBADD = @LTLIBOBJS@
528BUILT_SOURCES = make-roken.c roken.h
529@have_err_h_FALSE@err_h = err.h
530@have_err_h_TRUE@err_h = 
531@have_fnmatch_h_FALSE@fnmatch_h = fnmatch.h
532@have_fnmatch_h_TRUE@fnmatch_h = 
533@have_glob_h_FALSE@glob_h = glob.h
534@have_glob_h_TRUE@glob_h = 
535@have_ifaddrs_h_FALSE@ifaddrs_h = ifaddrs.h
536@have_ifaddrs_h_TRUE@ifaddrs_h = 
537@have_vis_h_FALSE@vis_h = vis.h
538@have_vis_h_TRUE@vis_h = 
539XHEADERS = $(err_h) $(fnmatch_h) $(glob_h) $(ifaddrs_h) $(vis_h)
540dist_include_HEADERS = base64.h getarg.h hex.h parse_bytes.h \
541	parse_time.h parse_units.h resolve.h roken-common.h rtbl.h \
542	xdbm.h $(am__append_2)
543build_HEADERZ = test-mem.h $(XHEADERS)
544nodist_include_HEADERS = roken.h
545rokenincludedir = $(includedir)/roken
546nodist_rokeninclude_HEADERS = $(XHEADERS)
547man_MANS = getarg.3 parse_time.3 rtbl.3 ecalloc.3
548EXTRA_DIST = \
549	roken.awk roken.h.in \
550	$(man_MANS) \
551	test-mem.h \
552	ndbm_wrap.c \
553	ndbm_wrap.h
554
555all: $(BUILT_SOURCES)
556	$(MAKE) $(AM_MAKEFLAGS) all-am
557
558.SUFFIXES:
559.SUFFIXES: .et .h .x .z .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .hin .c .lo .o .obj
560$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
561	@for dep in $?; do \
562	  case '$(am__configure_deps)' in \
563	    *$$dep*) \
564	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
565		&& exit 0; \
566	      exit 1;; \
567	  esac; \
568	done; \
569	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  --ignore-deps lib/roken/Makefile'; \
570	cd $(top_srcdir) && \
571	  $(AUTOMAKE) --foreign  --ignore-deps lib/roken/Makefile
572.PRECIOUS: Makefile
573Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
574	@case '$?' in \
575	  *config.status*) \
576	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
577	  *) \
578	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
579	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
580	esac;
581
582$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
583	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
584
585$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
586	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
587$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
588	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
589install-libLTLIBRARIES: $(lib_LTLIBRARIES)
590	@$(NORMAL_INSTALL)
591	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
592	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
593	  if test -f $$p; then \
594	    f=$(am__strip_dir) \
595	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
596	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
597	  else :; fi; \
598	done
599
600uninstall-libLTLIBRARIES:
601	@$(NORMAL_UNINSTALL)
602	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
603	  p=$(am__strip_dir) \
604	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
605	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
606	done
607
608clean-libLTLIBRARIES:
609	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
610	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
611	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
612	  test "$$dir" != "$$p" || dir=.; \
613	  echo "rm -f \"$${dir}/so_locations\""; \
614	  rm -f "$${dir}/so_locations"; \
615	done
616
617clean-noinstLTLIBRARIES:
618	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
619	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
620	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
621	  test "$$dir" != "$$p" || dir=.; \
622	  echo "rm -f \"$${dir}/so_locations\""; \
623	  rm -f "$${dir}/so_locations"; \
624	done
625libroken.la: $(libroken_la_OBJECTS) $(libroken_la_DEPENDENCIES) 
626	$(libroken_la_LINK) -rpath $(libdir) $(libroken_la_OBJECTS) $(libroken_la_LIBADD) $(LIBS)
627libtest.la: $(libtest_la_OBJECTS) $(libtest_la_DEPENDENCIES) 
628	$(libtest_la_LINK)  $(libtest_la_OBJECTS) $(libtest_la_LIBADD) $(LIBS)
629
630clean-checkPROGRAMS:
631	@list='$(check_PROGRAMS)'; for p in $$list; do \
632	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
633	  echo " rm -f $$p $$f"; \
634	  rm -f $$p $$f ; \
635	done
636
637clean-noinstPROGRAMS:
638	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
639	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
640	  echo " rm -f $$p $$f"; \
641	  rm -f $$p $$f ; \
642	done
643base64-test$(EXEEXT): $(base64_test_OBJECTS) $(base64_test_DEPENDENCIES) 
644	@rm -f base64-test$(EXEEXT)
645	$(LINK) $(base64_test_OBJECTS) $(base64_test_LDADD) $(LIBS)
646getaddrinfo-test$(EXEEXT): $(getaddrinfo_test_OBJECTS) $(getaddrinfo_test_DEPENDENCIES) 
647	@rm -f getaddrinfo-test$(EXEEXT)
648	$(LINK) $(getaddrinfo_test_OBJECTS) $(getaddrinfo_test_LDADD) $(LIBS)
649hex-test$(EXEEXT): $(hex_test_OBJECTS) $(hex_test_DEPENDENCIES) 
650	@rm -f hex-test$(EXEEXT)
651	$(LINK) $(hex_test_OBJECTS) $(hex_test_LDADD) $(LIBS)
652make-roken$(EXEEXT): $(make_roken_OBJECTS) $(make_roken_DEPENDENCIES) 
653	@rm -f make-roken$(EXEEXT)
654	$(LINK) $(make_roken_OBJECTS) $(make_roken_LDADD) $(LIBS)
655parse_bytes-test$(EXEEXT): $(parse_bytes_test_OBJECTS) $(parse_bytes_test_DEPENDENCIES) 
656	@rm -f parse_bytes-test$(EXEEXT)
657	$(LINK) $(parse_bytes_test_OBJECTS) $(parse_bytes_test_LDADD) $(LIBS)
658parse_reply-test$(EXEEXT): $(parse_reply_test_OBJECTS) $(parse_reply_test_DEPENDENCIES) 
659	@rm -f parse_reply-test$(EXEEXT)
660	$(parse_reply_test_LINK) $(parse_reply_test_OBJECTS) $(parse_reply_test_LDADD) $(LIBS)
661parse_time-test$(EXEEXT): $(parse_time_test_OBJECTS) $(parse_time_test_DEPENDENCIES) 
662	@rm -f parse_time-test$(EXEEXT)
663	$(LINK) $(parse_time_test_OBJECTS) $(parse_time_test_LDADD) $(LIBS)
664resolve-test$(EXEEXT): $(resolve_test_OBJECTS) $(resolve_test_DEPENDENCIES) 
665	@rm -f resolve-test$(EXEEXT)
666	$(LINK) $(resolve_test_OBJECTS) $(resolve_test_LDADD) $(LIBS)
667snprintf-test$(EXEEXT): $(snprintf_test_OBJECTS) $(snprintf_test_DEPENDENCIES) 
668	@rm -f snprintf-test$(EXEEXT)
669	$(snprintf_test_LINK) $(snprintf_test_OBJECTS) $(snprintf_test_LDADD) $(LIBS)
670strpftime-test$(EXEEXT): $(strpftime_test_OBJECTS) $(strpftime_test_DEPENDENCIES) 
671	@rm -f strpftime-test$(EXEEXT)
672	$(strpftime_test_LINK) $(strpftime_test_OBJECTS) $(strpftime_test_LDADD) $(LIBS)
673test-readenv$(EXEEXT): $(test_readenv_OBJECTS) $(test_readenv_DEPENDENCIES) 
674	@rm -f test-readenv$(EXEEXT)
675	$(LINK) $(test_readenv_OBJECTS) $(test_readenv_LDADD) $(LIBS)
676
677mostlyclean-compile:
678	-rm -f *.$(OBJEXT)
679
680distclean-compile:
681	-rm -f *.tab.c
682
683.c.o:
684	$(COMPILE) -c $<
685
686.c.obj:
687	$(COMPILE) -c `$(CYGPATH_W) '$<'`
688
689.c.lo:
690	$(LTCOMPILE) -c -o $@ $<
691
692libroken_la-base64.lo: base64.c
693	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-base64.lo `test -f 'base64.c' || echo '$(srcdir)/'`base64.c
694
695libroken_la-bswap.lo: bswap.c
696	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-bswap.lo `test -f 'bswap.c' || echo '$(srcdir)/'`bswap.c
697
698libroken_la-concat.lo: concat.c
699	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-concat.lo `test -f 'concat.c' || echo '$(srcdir)/'`concat.c
700
701libroken_la-dumpdata.lo: dumpdata.c
702	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-dumpdata.lo `test -f 'dumpdata.c' || echo '$(srcdir)/'`dumpdata.c
703
704libroken_la-environment.lo: environment.c
705	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-environment.lo `test -f 'environment.c' || echo '$(srcdir)/'`environment.c
706
707libroken_la-eread.lo: eread.c
708	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-eread.lo `test -f 'eread.c' || echo '$(srcdir)/'`eread.c
709
710libroken_la-esetenv.lo: esetenv.c
711	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-esetenv.lo `test -f 'esetenv.c' || echo '$(srcdir)/'`esetenv.c
712
713libroken_la-ewrite.lo: ewrite.c
714	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-ewrite.lo `test -f 'ewrite.c' || echo '$(srcdir)/'`ewrite.c
715
716libroken_la-getaddrinfo_hostspec.lo: getaddrinfo_hostspec.c
717	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-getaddrinfo_hostspec.lo `test -f 'getaddrinfo_hostspec.c' || echo '$(srcdir)/'`getaddrinfo_hostspec.c
718
719libroken_la-get_default_username.lo: get_default_username.c
720	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-get_default_username.lo `test -f 'get_default_username.c' || echo '$(srcdir)/'`get_default_username.c
721
722libroken_la-get_window_size.lo: get_window_size.c
723	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-get_window_size.lo `test -f 'get_window_size.c' || echo '$(srcdir)/'`get_window_size.c
724
725libroken_la-getarg.lo: getarg.c
726	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-getarg.lo `test -f 'getarg.c' || echo '$(srcdir)/'`getarg.c
727
728libroken_la-getnameinfo_verified.lo: getnameinfo_verified.c
729	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-getnameinfo_verified.lo `test -f 'getnameinfo_verified.c' || echo '$(srcdir)/'`getnameinfo_verified.c
730
731libroken_la-getprogname.lo: getprogname.c
732	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-getprogname.lo `test -f 'getprogname.c' || echo '$(srcdir)/'`getprogname.c
733
734libroken_la-h_errno.lo: h_errno.c
735	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-h_errno.lo `test -f 'h_errno.c' || echo '$(srcdir)/'`h_errno.c
736
737libroken_la-hex.lo: hex.c
738	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-hex.lo `test -f 'hex.c' || echo '$(srcdir)/'`hex.c
739
740libroken_la-hostent_find_fqdn.lo: hostent_find_fqdn.c
741	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-hostent_find_fqdn.lo `test -f 'hostent_find_fqdn.c' || echo '$(srcdir)/'`hostent_find_fqdn.c
742
743libroken_la-issuid.lo: issuid.c
744	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-issuid.lo `test -f 'issuid.c' || echo '$(srcdir)/'`issuid.c
745
746libroken_la-k_getpwnam.lo: k_getpwnam.c
747	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-k_getpwnam.lo `test -f 'k_getpwnam.c' || echo '$(srcdir)/'`k_getpwnam.c
748
749libroken_la-k_getpwuid.lo: k_getpwuid.c
750	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-k_getpwuid.lo `test -f 'k_getpwuid.c' || echo '$(srcdir)/'`k_getpwuid.c
751
752libroken_la-mini_inetd.lo: mini_inetd.c
753	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-mini_inetd.lo `test -f 'mini_inetd.c' || echo '$(srcdir)/'`mini_inetd.c
754
755libroken_la-net_read.lo: net_read.c
756	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-net_read.lo `test -f 'net_read.c' || echo '$(srcdir)/'`net_read.c
757
758libroken_la-net_write.lo: net_write.c
759	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-net_write.lo `test -f 'net_write.c' || echo '$(srcdir)/'`net_write.c
760
761libroken_la-parse_bytes.lo: parse_bytes.c
762	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-parse_bytes.lo `test -f 'parse_bytes.c' || echo '$(srcdir)/'`parse_bytes.c
763
764libroken_la-parse_time.lo: parse_time.c
765	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-parse_time.lo `test -f 'parse_time.c' || echo '$(srcdir)/'`parse_time.c
766
767libroken_la-parse_units.lo: parse_units.c
768	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-parse_units.lo `test -f 'parse_units.c' || echo '$(srcdir)/'`parse_units.c
769
770libroken_la-realloc.lo: realloc.c
771	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-realloc.lo `test -f 'realloc.c' || echo '$(srcdir)/'`realloc.c
772
773libroken_la-resolve.lo: resolve.c
774	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-resolve.lo `test -f 'resolve.c' || echo '$(srcdir)/'`resolve.c
775
776libroken_la-roken_gethostby.lo: roken_gethostby.c
777	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-roken_gethostby.lo `test -f 'roken_gethostby.c' || echo '$(srcdir)/'`roken_gethostby.c
778
779libroken_la-rtbl.lo: rtbl.c
780	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-rtbl.lo `test -f 'rtbl.c' || echo '$(srcdir)/'`rtbl.c
781
782libroken_la-setprogname.lo: setprogname.c
783	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-setprogname.lo `test -f 'setprogname.c' || echo '$(srcdir)/'`setprogname.c
784
785libroken_la-signal.lo: signal.c
786	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-signal.lo `test -f 'signal.c' || echo '$(srcdir)/'`signal.c
787
788libroken_la-simple_exec.lo: simple_exec.c
789	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-simple_exec.lo `test -f 'simple_exec.c' || echo '$(srcdir)/'`simple_exec.c
790
791libroken_la-snprintf.lo: snprintf.c
792	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-snprintf.lo `test -f 'snprintf.c' || echo '$(srcdir)/'`snprintf.c
793
794libroken_la-socket.lo: socket.c
795	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-socket.lo `test -f 'socket.c' || echo '$(srcdir)/'`socket.c
796
797libroken_la-strcollect.lo: strcollect.c
798	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-strcollect.lo `test -f 'strcollect.c' || echo '$(srcdir)/'`strcollect.c
799
800libroken_la-strpool.lo: strpool.c
801	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-strpool.lo `test -f 'strpool.c' || echo '$(srcdir)/'`strpool.c
802
803libroken_la-timeval.lo: timeval.c
804	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-timeval.lo `test -f 'timeval.c' || echo '$(srcdir)/'`timeval.c
805
806libroken_la-tm2time.lo: tm2time.c
807	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-tm2time.lo `test -f 'tm2time.c' || echo '$(srcdir)/'`tm2time.c
808
809libroken_la-unvis.lo: unvis.c
810	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-unvis.lo `test -f 'unvis.c' || echo '$(srcdir)/'`unvis.c
811
812libroken_la-verify.lo: verify.c
813	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-verify.lo `test -f 'verify.c' || echo '$(srcdir)/'`verify.c
814
815libroken_la-vis.lo: vis.c
816	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-vis.lo `test -f 'vis.c' || echo '$(srcdir)/'`vis.c
817
818libroken_la-warnerr.lo: warnerr.c
819	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-warnerr.lo `test -f 'warnerr.c' || echo '$(srcdir)/'`warnerr.c
820
821libroken_la-write_pid.lo: write_pid.c
822	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-write_pid.lo `test -f 'write_pid.c' || echo '$(srcdir)/'`write_pid.c
823
824libroken_la-socket_wrapper.lo: socket_wrapper.c
825	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libroken_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libroken_la-socket_wrapper.lo `test -f 'socket_wrapper.c' || echo '$(srcdir)/'`socket_wrapper.c
826
827libtest_la-strftime.lo: strftime.c
828	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtest_la_CFLAGS) $(CFLAGS) -c -o libtest_la-strftime.lo `test -f 'strftime.c' || echo '$(srcdir)/'`strftime.c
829
830libtest_la-strptime.lo: strptime.c
831	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtest_la_CFLAGS) $(CFLAGS) -c -o libtest_la-strptime.lo `test -f 'strptime.c' || echo '$(srcdir)/'`strptime.c
832
833libtest_la-snprintf.lo: snprintf.c
834	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtest_la_CFLAGS) $(CFLAGS) -c -o libtest_la-snprintf.lo `test -f 'snprintf.c' || echo '$(srcdir)/'`snprintf.c
835
836parse_reply_test-parse_reply-test.o: parse_reply-test.c
837	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(parse_reply_test_CFLAGS) $(CFLAGS) -c -o parse_reply_test-parse_reply-test.o `test -f 'parse_reply-test.c' || echo '$(srcdir)/'`parse_reply-test.c
838
839parse_reply_test-parse_reply-test.obj: parse_reply-test.c
840	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(parse_reply_test_CFLAGS) $(CFLAGS) -c -o parse_reply_test-parse_reply-test.obj `if test -f 'parse_reply-test.c'; then $(CYGPATH_W) 'parse_reply-test.c'; else $(CYGPATH_W) '$(srcdir)/parse_reply-test.c'; fi`
841
842parse_reply_test-resolve.o: resolve.c
843	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(parse_reply_test_CFLAGS) $(CFLAGS) -c -o parse_reply_test-resolve.o `test -f 'resolve.c' || echo '$(srcdir)/'`resolve.c
844
845parse_reply_test-resolve.obj: resolve.c
846	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(parse_reply_test_CFLAGS) $(CFLAGS) -c -o parse_reply_test-resolve.obj `if test -f 'resolve.c'; then $(CYGPATH_W) 'resolve.c'; else $(CYGPATH_W) '$(srcdir)/resolve.c'; fi`
847
848snprintf_test-snprintf-test.o: snprintf-test.c
849	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(snprintf_test_CFLAGS) $(CFLAGS) -c -o snprintf_test-snprintf-test.o `test -f 'snprintf-test.c' || echo '$(srcdir)/'`snprintf-test.c
850
851snprintf_test-snprintf-test.obj: snprintf-test.c
852	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(snprintf_test_CFLAGS) $(CFLAGS) -c -o snprintf_test-snprintf-test.obj `if test -f 'snprintf-test.c'; then $(CYGPATH_W) 'snprintf-test.c'; else $(CYGPATH_W) '$(srcdir)/snprintf-test.c'; fi`
853
854strpftime_test-strpftime-test.o: strpftime-test.c
855	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(strpftime_test_CFLAGS) $(CFLAGS) -c -o strpftime_test-strpftime-test.o `test -f 'strpftime-test.c' || echo '$(srcdir)/'`strpftime-test.c
856
857strpftime_test-strpftime-test.obj: strpftime-test.c
858	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(strpftime_test_CFLAGS) $(CFLAGS) -c -o strpftime_test-strpftime-test.obj `if test -f 'strpftime-test.c'; then $(CYGPATH_W) 'strpftime-test.c'; else $(CYGPATH_W) '$(srcdir)/strpftime-test.c'; fi`
859
860mostlyclean-libtool:
861	-rm -f *.lo
862
863clean-libtool:
864	-rm -rf .libs _libs
865install-man3: $(man3_MANS) $(man_MANS)
866	@$(NORMAL_INSTALL)
867	test -z "$(man3dir)" || $(MKDIR_P) "$(DESTDIR)$(man3dir)"
868	@list='$(man3_MANS) $(dist_man3_MANS) $(nodist_man3_MANS)'; \
869	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
870	for i in $$l2; do \
871	  case "$$i" in \
872	    *.3*) list="$$list $$i" ;; \
873	  esac; \
874	done; \
875	for i in $$list; do \
876	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
877	  else file=$$i; fi; \
878	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
879	  case "$$ext" in \
880	    3*) ;; \
881	    *) ext='3' ;; \
882	  esac; \
883	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
884	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
885	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
886	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
887	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst"; \
888	done
889uninstall-man3:
890	@$(NORMAL_UNINSTALL)
891	@list='$(man3_MANS) $(dist_man3_MANS) $(nodist_man3_MANS)'; \
892	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
893	for i in $$l2; do \
894	  case "$$i" in \
895	    *.3*) list="$$list $$i" ;; \
896	  esac; \
897	done; \
898	for i in $$list; do \
899	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
900	  case "$$ext" in \
901	    3*) ;; \
902	    *) ext='3' ;; \
903	  esac; \
904	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
905	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
906	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
907	  echo " rm -f '$(DESTDIR)$(man3dir)/$$inst'"; \
908	  rm -f "$(DESTDIR)$(man3dir)/$$inst"; \
909	done
910install-dist_includeHEADERS: $(dist_include_HEADERS)
911	@$(NORMAL_INSTALL)
912	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
913	@list='$(dist_include_HEADERS)'; for p in $$list; do \
914	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
915	  f=$(am__strip_dir) \
916	  echo " $(dist_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
917	  $(dist_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
918	done
919
920uninstall-dist_includeHEADERS:
921	@$(NORMAL_UNINSTALL)
922	@list='$(dist_include_HEADERS)'; for p in $$list; do \
923	  f=$(am__strip_dir) \
924	  echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
925	  rm -f "$(DESTDIR)$(includedir)/$$f"; \
926	done
927install-nodist_includeHEADERS: $(nodist_include_HEADERS)
928	@$(NORMAL_INSTALL)
929	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
930	@list='$(nodist_include_HEADERS)'; for p in $$list; do \
931	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
932	  f=$(am__strip_dir) \
933	  echo " $(nodist_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
934	  $(nodist_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
935	done
936
937uninstall-nodist_includeHEADERS:
938	@$(NORMAL_UNINSTALL)
939	@list='$(nodist_include_HEADERS)'; for p in $$list; do \
940	  f=$(am__strip_dir) \
941	  echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
942	  rm -f "$(DESTDIR)$(includedir)/$$f"; \
943	done
944install-nodist_rokenincludeHEADERS: $(nodist_rokeninclude_HEADERS)
945	@$(NORMAL_INSTALL)
946	test -z "$(rokenincludedir)" || $(MKDIR_P) "$(DESTDIR)$(rokenincludedir)"
947	@list='$(nodist_rokeninclude_HEADERS)'; for p in $$list; do \
948	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
949	  f=$(am__strip_dir) \
950	  echo " $(nodist_rokenincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(rokenincludedir)/$$f'"; \
951	  $(nodist_rokenincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(rokenincludedir)/$$f"; \
952	done
953
954uninstall-nodist_rokenincludeHEADERS:
955	@$(NORMAL_UNINSTALL)
956	@list='$(nodist_rokeninclude_HEADERS)'; for p in $$list; do \
957	  f=$(am__strip_dir) \
958	  echo " rm -f '$(DESTDIR)$(rokenincludedir)/$$f'"; \
959	  rm -f "$(DESTDIR)$(rokenincludedir)/$$f"; \
960	done
961
962ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
963	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
964	unique=`for i in $$list; do \
965	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
966	  done | \
967	  $(AWK) '    { files[$$0] = 1; } \
968	       END { for (i in files) print i; }'`; \
969	mkid -fID $$unique
970tags: TAGS
971
972TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
973		$(TAGS_FILES) $(LISP)
974	tags=; \
975	here=`pwd`; \
976	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
977	unique=`for i in $$list; do \
978	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
979	  done | \
980	  $(AWK) '    { files[$$0] = 1; } \
981	       END { for (i in files) print i; }'`; \
982	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
983	  test -n "$$unique" || unique=$$empty_fix; \
984	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
985	    $$tags $$unique; \
986	fi
987ctags: CTAGS
988CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
989		$(TAGS_FILES) $(LISP)
990	tags=; \
991	here=`pwd`; \
992	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
993	unique=`for i in $$list; do \
994	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
995	  done | \
996	  $(AWK) '    { files[$$0] = 1; } \
997	       END { for (i in files) print i; }'`; \
998	test -z "$(CTAGS_ARGS)$$tags$$unique" \
999	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1000	     $$tags $$unique
1001
1002GTAGS:
1003	here=`$(am__cd) $(top_builddir) && pwd` \
1004	  && cd $(top_srcdir) \
1005	  && gtags -i $(GTAGS_ARGS) $$here
1006
1007distclean-tags:
1008	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1009
1010check-TESTS: $(TESTS)
1011	@failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[	 ]'; \
1012	srcdir=$(srcdir); export srcdir; \
1013	list=' $(TESTS) '; \
1014	if test -n "$$list"; then \
1015	  for tst in $$list; do \
1016	    if test -f ./$$tst; then dir=./; \
1017	    elif test -f $$tst; then dir=; \
1018	    else dir="$(srcdir)/"; fi; \
1019	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
1020	      all=`expr $$all + 1`; \
1021	      case " $(XFAIL_TESTS) " in \
1022	      *$$ws$$tst$$ws*) \
1023		xpass=`expr $$xpass + 1`; \
1024		failed=`expr $$failed + 1`; \
1025		echo "XPASS: $$tst"; \
1026	      ;; \
1027	      *) \
1028		echo "PASS: $$tst"; \
1029	      ;; \
1030	      esac; \
1031	    elif test $$? -ne 77; then \
1032	      all=`expr $$all + 1`; \
1033	      case " $(XFAIL_TESTS) " in \
1034	      *$$ws$$tst$$ws*) \
1035		xfail=`expr $$xfail + 1`; \
1036		echo "XFAIL: $$tst"; \
1037	      ;; \
1038	      *) \
1039		failed=`expr $$failed + 1`; \
1040		echo "FAIL: $$tst"; \
1041	      ;; \
1042	      esac; \
1043	    else \
1044	      skip=`expr $$skip + 1`; \
1045	      echo "SKIP: $$tst"; \
1046	    fi; \
1047	  done; \
1048	  if test "$$failed" -eq 0; then \
1049	    if test "$$xfail" -eq 0; then \
1050	      banner="All $$all tests passed"; \
1051	    else \
1052	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
1053	    fi; \
1054	  else \
1055	    if test "$$xpass" -eq 0; then \
1056	      banner="$$failed of $$all tests failed"; \
1057	    else \
1058	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
1059	    fi; \
1060	  fi; \
1061	  dashes="$$banner"; \
1062	  skipped=""; \
1063	  if test "$$skip" -ne 0; then \
1064	    skipped="($$skip tests were not run)"; \
1065	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
1066	      dashes="$$skipped"; \
1067	  fi; \
1068	  report=""; \
1069	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
1070	    report="Please report to $(PACKAGE_BUGREPORT)"; \
1071	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
1072	      dashes="$$report"; \
1073	  fi; \
1074	  dashes=`echo "$$dashes" | sed s/./=/g`; \
1075	  echo "$$dashes"; \
1076	  echo "$$banner"; \
1077	  test -z "$$skipped" || echo "$$skipped"; \
1078	  test -z "$$report" || echo "$$report"; \
1079	  echo "$$dashes"; \
1080	  test "$$failed" -eq 0; \
1081	else :; fi
1082
1083distdir: $(DISTFILES)
1084	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1085	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1086	list='$(DISTFILES)'; \
1087	  dist_files=`for file in $$list; do echo $$file; done | \
1088	  sed -e "s|^$$srcdirstrip/||;t" \
1089	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1090	case $$dist_files in \
1091	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1092			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1093			   sort -u` ;; \
1094	esac; \
1095	for file in $$dist_files; do \
1096	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1097	  if test -d $$d/$$file; then \
1098	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1099	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1100	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
1101	    fi; \
1102	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
1103	  else \
1104	    test -f $(distdir)/$$file \
1105	    || cp -p $$d/$$file $(distdir)/$$file \
1106	    || exit 1; \
1107	  fi; \
1108	done
1109	$(MAKE) $(AM_MAKEFLAGS) \
1110	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
1111	  dist-hook
1112check-am: all-am
1113	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1114	$(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1115check: $(BUILT_SOURCES)
1116	$(MAKE) $(AM_MAKEFLAGS) check-am
1117all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(MANS) $(HEADERS) \
1118		all-local
1119installdirs:
1120	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(includedir)" "$(DESTDIR)$(includedir)" "$(DESTDIR)$(rokenincludedir)"; do \
1121	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1122	done
1123install: $(BUILT_SOURCES)
1124	$(MAKE) $(AM_MAKEFLAGS) install-am
1125install-exec: install-exec-am
1126install-data: install-data-am
1127uninstall: uninstall-am
1128
1129install-am: all-am
1130	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1131
1132installcheck: installcheck-am
1133install-strip:
1134	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1135	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1136	  `test -z '$(STRIP)' || \
1137	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1138mostlyclean-generic:
1139
1140clean-generic:
1141	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1142
1143distclean-generic:
1144	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1145
1146maintainer-clean-generic:
1147	@echo "This command is intended for maintainers to use"
1148	@echo "it deletes files that may require special tools to rebuild."
1149	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1150clean: clean-am
1151
1152clean-am: clean-checkPROGRAMS clean-generic clean-libLTLIBRARIES \
1153	clean-libtool clean-noinstLTLIBRARIES clean-noinstPROGRAMS \
1154	mostlyclean-am
1155
1156distclean: distclean-am
1157	-rm -f Makefile
1158distclean-am: clean-am distclean-compile distclean-generic \
1159	distclean-tags
1160
1161dvi: dvi-am
1162
1163dvi-am:
1164
1165html: html-am
1166
1167info: info-am
1168
1169info-am:
1170
1171install-data-am: install-dist_includeHEADERS install-man \
1172	install-nodist_includeHEADERS \
1173	install-nodist_rokenincludeHEADERS
1174	@$(NORMAL_INSTALL)
1175	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
1176
1177install-dvi: install-dvi-am
1178
1179install-exec-am: install-libLTLIBRARIES
1180	@$(NORMAL_INSTALL)
1181	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
1182
1183install-html: install-html-am
1184
1185install-info: install-info-am
1186
1187install-man: install-man3
1188
1189install-pdf: install-pdf-am
1190
1191install-ps: install-ps-am
1192
1193installcheck-am:
1194
1195maintainer-clean: maintainer-clean-am
1196	-rm -f Makefile
1197maintainer-clean-am: distclean-am maintainer-clean-generic
1198
1199mostlyclean: mostlyclean-am
1200
1201mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1202	mostlyclean-libtool
1203
1204pdf: pdf-am
1205
1206pdf-am:
1207
1208ps: ps-am
1209
1210ps-am:
1211
1212uninstall-am: uninstall-dist_includeHEADERS uninstall-libLTLIBRARIES \
1213	uninstall-man uninstall-nodist_includeHEADERS \
1214	uninstall-nodist_rokenincludeHEADERS
1215	@$(NORMAL_INSTALL)
1216	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
1217
1218uninstall-man: uninstall-man3
1219
1220.MAKE: install-am install-data-am install-exec-am install-strip \
1221	uninstall-am
1222
1223.PHONY: CTAGS GTAGS all all-am all-local check check-TESTS check-am \
1224	check-local clean clean-checkPROGRAMS clean-generic \
1225	clean-libLTLIBRARIES clean-libtool clean-noinstLTLIBRARIES \
1226	clean-noinstPROGRAMS ctags dist-hook distclean \
1227	distclean-compile distclean-generic distclean-libtool \
1228	distclean-tags distdir dvi dvi-am html html-am info info-am \
1229	install install-am install-data install-data-am \
1230	install-data-hook install-dist_includeHEADERS install-dvi \
1231	install-dvi-am install-exec install-exec-am install-exec-hook \
1232	install-html install-html-am install-info install-info-am \
1233	install-libLTLIBRARIES install-man install-man3 \
1234	install-nodist_includeHEADERS \
1235	install-nodist_rokenincludeHEADERS install-pdf install-pdf-am \
1236	install-ps install-ps-am install-strip installcheck \
1237	installcheck-am installdirs maintainer-clean \
1238	maintainer-clean-generic mostlyclean mostlyclean-compile \
1239	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1240	tags uninstall uninstall-am uninstall-dist_includeHEADERS \
1241	uninstall-hook uninstall-libLTLIBRARIES uninstall-man \
1242	uninstall-man3 uninstall-nodist_includeHEADERS \
1243	uninstall-nodist_rokenincludeHEADERS
1244
1245
1246install-suid-programs:
1247	@foo='$(bin_SUIDS)'; \
1248	for file in $$foo; do \
1249	x=$(DESTDIR)$(bindir)/$$file; \
1250	if chown 0:0 $$x && chmod u+s $$x; then :; else \
1251	echo "*"; \
1252	echo "* Failed to install $$x setuid root"; \
1253	echo "*"; \
1254	fi; done
1255
1256install-exec-hook: install-suid-programs
1257
1258install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
1259	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
1260	for f in $$foo; do \
1261		f=`basename $$f`; \
1262		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1263		else file="$$f"; fi; \
1264		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1265		: ; else \
1266			echo " $(CP) $$file $(buildinclude)/$$f"; \
1267			$(CP) $$file $(buildinclude)/$$f; \
1268		fi ; \
1269	done ; \
1270	foo='$(nobase_include_HEADERS)'; \
1271	for f in $$foo; do \
1272		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1273		else file="$$f"; fi; \
1274		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
1275		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1276		: ; else \
1277			echo " $(CP) $$file $(buildinclude)/$$f"; \
1278			$(CP) $$file $(buildinclude)/$$f; \
1279		fi ; \
1280	done
1281
1282all-local: install-build-headers
1283
1284check-local::
1285	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
1286	  foo=''; elif test '$(CHECK_LOCAL)'; then \
1287	  foo='$(CHECK_LOCAL)'; else \
1288	  foo='$(PROGRAMS)'; fi; \
1289	  if test "$$foo"; then \
1290	  failed=0; all=0; \
1291	  for i in $$foo; do \
1292	    all=`expr $$all + 1`; \
1293	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
1294	      echo "PASS: $$i"; \
1295	    else \
1296	      echo "FAIL: $$i"; \
1297	      failed=`expr $$failed + 1`; \
1298	    fi; \
1299	  done; \
1300	  if test "$$failed" -eq 0; then \
1301	    banner="All $$all tests passed"; \
1302	  else \
1303	    banner="$$failed of $$all tests failed"; \
1304	  fi; \
1305	  dashes=`echo "$$banner" | sed s/./=/g`; \
1306	  echo "$$dashes"; \
1307	  echo "$$banner"; \
1308	  echo "$$dashes"; \
1309	  test "$$failed" -eq 0 || exit 1; \
1310	fi
1311
1312.x.c:
1313	@cmp -s $< $@ 2> /dev/null || cp $< $@
1314#NROFF_MAN = nroff -man
1315.1.cat1:
1316	$(NROFF_MAN) $< > $@
1317.3.cat3:
1318	$(NROFF_MAN) $< > $@
1319.5.cat5:
1320	$(NROFF_MAN) $< > $@
1321.8.cat8:
1322	$(NROFF_MAN) $< > $@
1323
1324dist-cat1-mans:
1325	@foo='$(man1_MANS)'; \
1326	bar='$(man_MANS)'; \
1327	for i in $$bar; do \
1328	case $$i in \
1329	*.1) foo="$$foo $$i";; \
1330	esac; done ;\
1331	for i in $$foo; do \
1332		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
1333		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1334		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1335	done
1336
1337dist-cat3-mans:
1338	@foo='$(man3_MANS)'; \
1339	bar='$(man_MANS)'; \
1340	for i in $$bar; do \
1341	case $$i in \
1342	*.3) foo="$$foo $$i";; \
1343	esac; done ;\
1344	for i in $$foo; do \
1345		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
1346		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1347		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1348	done
1349
1350dist-cat5-mans:
1351	@foo='$(man5_MANS)'; \
1352	bar='$(man_MANS)'; \
1353	for i in $$bar; do \
1354	case $$i in \
1355	*.5) foo="$$foo $$i";; \
1356	esac; done ;\
1357	for i in $$foo; do \
1358		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
1359		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1360		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1361	done
1362
1363dist-cat8-mans:
1364	@foo='$(man8_MANS)'; \
1365	bar='$(man_MANS)'; \
1366	for i in $$bar; do \
1367	case $$i in \
1368	*.8) foo="$$foo $$i";; \
1369	esac; done ;\
1370	for i in $$foo; do \
1371		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1372		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1373		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1374	done
1375
1376dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
1377
1378install-cat-mans:
1379	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1380
1381uninstall-cat-mans:
1382	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1383
1384install-data-hook: install-cat-mans
1385uninstall-hook: uninstall-cat-mans
1386
1387.et.h:
1388	$(COMPILE_ET) $<
1389.et.c:
1390	$(COMPILE_ET) $<
1391
1392#
1393# Useful target for debugging
1394#
1395
1396check-valgrind:
1397	tobjdir=`cd $(top_builddir) && pwd` ; \
1398	tsrcdir=`cd $(top_srcdir) && pwd` ; \
1399	env TESTS_ENVIRONMENT="$${tobjdir}/libtool --mode execute valgrind --leak-check=full --trace-children=yes --quiet -q --num-callers=30 --suppressions=$${tsrcdir}/cf/valgrind-suppressions" make check
1400
1401#
1402# Target to please samba build farm, builds distfiles in-tree.
1403# Will break when automake changes...
1404#
1405
1406distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1407	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1408	  if test "$$subdir" != .; then \
1409	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1410	  fi ; \
1411	done
1412
1413$(LTLIBOBJS) $(libroken_la_OBJECTS): roken.h $(XHEADERS)
1414.hin.h:
1415	cp $< $@
1416
1417roken.h: make-roken$(EXEEXT)
1418	@./make-roken$(EXEEXT) > tmp.h ;\
1419	if [ -f roken.h ] && cmp -s tmp.h roken.h ; then rm -f tmp.h ; \
1420	else rm -f roken.h; mv tmp.h roken.h; fi
1421
1422make-roken.c: roken.h.in roken.awk
1423	$(AWK) -f $(srcdir)/roken.awk $(srcdir)/roken.h.in > make-roken.c
1424# Tell versions [3.59,3.63) of GNU make to not export all variables.
1425# Otherwise a system limit (for SysV at least) may be exceeded.
1426.NOEXPORT:
1427